Irrlicht Engine: irr::scene::IMeshSceneNode Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IMeshSceneNode Class Reference

A scene node displaying a static mesh. More...

`#include <IMeshSceneNode.h>`

Inheritance diagram for irr::scene::IMeshSceneNode:

List of all members.

## Public Member Functions
virtual IMesh * | getMesh (void)=0
| Get the currently defined mesh for display.
| IMeshSceneNode (ISceneNode *parent, ISceneManager *mgr, s32 id, const core::vector3df &position=core::vector3df(0, 0, 0), const core::vector3df &rotation=core::vector3df(0, 0, 0), const core::vector3df &scale=core::vector3df(1, 1, 1))
| Constructor.
virtual bool | isReadOnlyMaterials () const =0
| Check if the scene node should not copy the materials of the mesh but use them in a read only style.
virtual void | setMesh (IMesh *mesh)=0
| Sets a new mesh to display.
virtual void | setReadOnlyMaterials (bool readonly)=0
| Sets if the scene node should not copy the materials of the mesh but use them in a read only style.

## Detailed Description

A scene node displaying a static mesh.

Definition at line 19 of file IMeshSceneNode.h.

## Constructor & Destructor Documentation

irr::scene::IMeshSceneNode::IMeshSceneNode | ( | ISceneNode * | parent,
|  | ISceneManager * | mgr,
|  | s32 | id,
|  | const core::vector3df & | position = `core::vector3df(0,0,0)`,
|  | const core::vector3df & | rotation = `core::vector3df(0,0,0)`,
|  | const core::vector3df & | scale = `core::vector3df(1,1,1)` |
| ) |  |  | `[inline]`

Constructor.

Use setMesh() to set the mesh to display.

Definition at line 26 of file IMeshSceneNode.h.

## Member Function Documentation

virtual IMesh* irr::scene::IMeshSceneNode::getMesh | ( | void |  | ) | `[pure virtual]`

Get the currently defined mesh for display.

Returns:
  Pointer to mesh which is displayed by this node.

virtual bool irr::scene::IMeshSceneNode::isReadOnlyMaterials | ( |  | ) | const`[pure virtual]`

Check if the scene node should not copy the materials of the mesh but use them in a read only style.

This flag can be set by setReadOnlyMaterials().

Returns:
  Whether the materials are read-only.

virtual void irr::scene::IMeshSceneNode::setMesh | ( | IMesh * | mesh | ) | `[pure virtual]`

Sets a new mesh to display.

Parameters:

  | mesh | Mesh to display.

virtual void irr::scene::IMeshSceneNode::setReadOnlyMaterials | ( | bool | readonly | ) | `[pure virtual]`

Sets if the scene node should not copy the materials of the mesh but use them in a read only style.

In this way it is possible to change the materials of a mesh causing all mesh scene nodes referencing this mesh to change, too.

Parameters:

  | readonly | Flag if the materials shall be read-only.

The documentation for this class was generated from the following file:

- IMeshSceneNode.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)